Subject: Compile problems on SunOS 4.1.3

From: [email-masked] (Jon E. Gross)
Date: Thu, 28 Sep 1995 08:43:36 -0400

I am trying to compile the daemon with the following results...  Can anyone
tell me what is wrong?  I have check, I have the vers.c, but not a vers.o.

TIA
Jon

grossj@ns% build s41
make args are :
make opts are :

Linking Makefiles.

Making support library.
gcc -g -DDEBUG   -c fnmatch.c
gcc -g -DDEBUG   -c strcasestr.c
gcc -g -DDEBUG   -c strerror.c
gcc -g -DDEBUG   -c strsep.c
gcc -g -DDEBUG   -c authuser.c
gcc -g -DDEBUG    -target sun4 -c  syslog.c
rm -f libsupport.a
ar cq libsupport.a fnmatch.o strcasestr.o strerror.o strsep.o authuser.o syslog.
o
ranlib libsupport.a

Making ftpd.
gcc -g -DDEBUG -I.. -I../support -L../support  -target sun4 -c  ftpd.c
ftpd.c: In function `statcmd':
ftpd.c:1972: `typenames' undeclared (first use this function)
ftpd.c:1972: (Each undeclared identifier is reported only once
ftpd.c:1972: for each function it appears in.)
ftpd.c:1974: `formnames' undeclared (first use this function)
ftpd.c:1982: `strunames' undeclared (first use this function)
ftpd.c:1982: `modenames' undeclared (first use this function)
*** Error code 1
make: Fatal error: Command failed for target `ftpd.o'

Making ftpcount.
gcc -g -DDEBUG -I.. -I../support -L../support -o ftpcount ftpcount.c vers.o -lsu
pport
gcc: vers.o: No such file or directory
*** Error code 1
make: Fatal error: Command failed for target `ftpcount'

Making ftpshut.
gcc -g -DDEBUG -I.. -I../support -L../support -o ftpshut ftpshut.c vers.o -lsupp
ort
gcc: vers.o: No such file or directory
*** Error code 1
make: Fatal error: Command failed for target `ftpshut'

Making ckconfig.
gcc -g -DDEBUG -I.. -I../support -L../support -o ckconfig ckconfig.c

Links to executables are in bin directory:
size: bin/ftpd not found
size: bin/ftpcount not found
size: bin/ftpshut not found
size: bin/ftpwho not found
text    data    bss     dec     hex
8192    8192    0       16384   4000    bin/ckconfig
Done
grossj@ns%